# UserAccountDailyStatService
> 用户账户统计服务

---

## listUserAccountDailyStats
> 列出按天统计

- 角色：`admin`
- HTTP：`POST https://backend.dooki.cloud/UserAccountDailyStatService/listUserAccountDailyStats`
- RPC：`rpc listUserAccountDailyStats(ListUserAccountDailyStatsRequest) returns (ListUserAccountDailyStatsResponse);`

**请求对象 (`ListUserAccountDailyStatsRequest`)**

```json
{
  "dayFrom": "string",
  "dayTo": "string"
}
```

**响应对象 (`ListUserAccountDailyStatsResponse`)**

```json
{
  "stats": "[]Stat",
  "day": "string // YYYYMMDD",
  "income": "float",
  "expense": "float"
}
```

**调用示例**

```bash
curl -X POST "https://backend.dooki.cloud/UserAccountDailyStatService/listUserAccountDailyStats" \
  -H "Content-Type: application/json" \
  -H "X-Edge-Access-Token: <YOUR_TOKEN>" \
  -d '{
    ...
  }'
```

---

## listUserAccountMonthlyStats
> 列出按月统计

- 角色：`admin`
- HTTP：`POST https://backend.dooki.cloud/UserAccountDailyStatService/listUserAccountMonthlyStats`
- RPC：`rpc listUserAccountMonthlyStats(ListUserAccountMonthlyStatsRequest) returns (ListUserAccountMonthlyStatsResponse);`

**请求对象 (`ListUserAccountMonthlyStatsRequest`)**

```json
{
  "dayFrom": "string",
  "dayTo": "string"
}
```

**响应对象 (`ListUserAccountMonthlyStatsResponse`)**

```json
{
  "stats": "[]Stat",
  "month": "string // YYYYMM",
  "income": "float",
  "expense": "float"
}
```

**调用示例**

```bash
curl -X POST "https://backend.dooki.cloud/UserAccountDailyStatService/listUserAccountMonthlyStats" \
  -H "Content-Type: application/json" \
  -H "X-Edge-Access-Token: <YOUR_TOKEN>" \
  -d '{
    ...
  }'
```

---
